/* Program TAB2SPC.C */
/* By Harald Stauss */
/* Last change 30.06.95 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>

main(int argc, char *argv[])
{
         int      wert;
         FILE     *indat,*outdat;

printf("TAB2SPC Ver.1.0 by H. Stauss, 1995 \n");

if (argc != 3)
   {
   printf("Number of parameters wrong! \n");
   printf("Changes all TAB to SPACE \n");
   printf("TAB2SPC f_in f_out \n");
   printf("f_in  : name of input file. \n");
   printf("f_out : name of output file. \n");
   goto ende;
   }

/* Eingabedatei oeffnen */
indat = fopen(argv[1],"r+b");
if (indat==NULL)
   {
   printf("Can't open file %s \n",argv[1]);
   goto ende;
   }

/* Ausgabedatei oeffnen */
outdat = fopen(argv[2],"w+b");
if (outdat==NULL)
   {
   printf("Can't open file %s \n",argv[2]);
   goto ende;
   }

printf("Input file   : %s \n", argv[1]);
printf("Output file  : %s \n", argv[2]);


/*  M A I N L O O P  */
while (feof(indat)==0) {
   wert=fgetc(indat);
/*   if (wert==9) wert=32; */  /* Tab to Space */
   if (wert==13) wert=10;  /* CR to LF     */
   if (wert!='\377') fputc(wert,outdat);
   } /* endwhile */


fclose(indat); fclose(outdat);

ende: 

return(0);

} /* Ende von main */
